/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"
#include "../core/request.h"
#include "../core/db.h"



void Content::FunLs()
{
	if( request.is_item )
	{
		// we're showing only the item
		request.item_table.push_back( request.item );	
		return;
	}
	
	// we're reading only files here
	db.GetItems(request.item_table, request.dir_table.back()->id, Item::file, false, false, true);
}








