/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucorefunction
#define headerfilecmslucorefunction

#include <iostream>
#include "item.h"


#define FUN_NONE			0
#define FUN_LS				1
#define FUN_CAT				2
#define FUN_NODE			3
#define FUN_EMACS			4
#define FUN_MKDIR			5
#define FUN_DEFAULT			6
#define FUN_PRIV			7
#define FUN_RM				8
#define FUN_LOGIN			9
#define FUN_LOGOUT			10
#define FUN_RUN				11
#define FUN_WHO				12
#define FUN_LAST			13
#define FUN_CREATETHREAD	14
#define FUN_THREAD			15
#define FUN_RELOAD			16
#define FUN_UPLOAD			17
#define FUN_CREATETICKET	18
#define FUN_EDITTICKET		19
#define FUN_TICKET			20




class Function
{

public:

	int  code;
	Item item;

	void Clear();
	 
	Function();
	Function(const Function & f);
	Function & operator=(const Function & f);
	
};




#endif
